export type filterAgeType = {
  value: string;
  label: string;
  min: number;
  max: number;
} | null;

export type filterRankingType = { value: number; label: string } | null;

export type filterCountryType = { two: string; name: string } | null;

export type RankingDropdown = { value: number; label: string };

export type ModalProps = {
  isModalVisible: boolean;
  setModalVisible: (value: boolean) => void;
  applyFilter: (
    filterAge: filterAgeType,
    filterRanking: filterRankingType,
    filterCountry: filterCountryType
  ) => void;
  countriesData: { two: string; name: string }[];
};

export type FilterButtonProps = {
  onPress: () => void;
};
